# Installation

## PyQt5 [Tutorial](https://likegeeks.com/pyqt5-tutorial/)

on Ubuntu / Debian

``` bash
sudo apt update
sudo apt upgrade -y
sudo apt install python3 python3-pip
python3 -m pip install PyQt5 PyQt5-tools
```

## Modifying UI with PyQt5 designer

Location of PyQt5 designer on Windows
> C:\Program Files\Python36\Lib\site-packages\pyqt5-tools\

or

> C:\Users\\\<User>\AppData\Local\Programs\Python\\\<version>\Lib\site-packages\pyqt5-tools\

## Regenerate UI

on Linux

```bash
python3 -m PyQt5.uic.pyuic youruifile -o yourpyfile -x
```

on Windows

```cmd
pyuic5 youruifile -o yourpyfile -x
```

## Running

```bash
python3 main.py
```
